05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
Processor_CameraCalibration Class Reference
Computer Vision Module

Camera calibration image processor. More...

`#include <Processor_CameraCalibration.h>`

Inheritance diagram for Processor_CameraCalibration:

## Public Member Functions
void | Setpath (QString _arg_path)
| Sets path property value. More...
QString | path () const
| Gets path property value. More...
void | Setfilename (QString _arg_filename)
| Sets filename property value. More...
QString | filename () const
| Gets filename property value. More...
void | SetboardSize_X (int _arg_boardSize_X)
| Sets boardSize_X property value. More...
int | boardSize_X () const
| Gets boardSize_X property value. More...
void | SetboardSize_Y (int _arg_boardSize_Y)
| Sets boardSize_Y property value. More...
int | boardSize_Y () const
| Gets boardSize_Y property value. More...
void | SetsquareSize (double _arg_squareSize)
| Sets squareSize property value. More...
double | squareSize () const
| Gets squareSize property value. More...
| Processor_CameraCalibration ()
| Initializes default parameters. More...
int | start ()
| Starts image processing. More...
int | process (int t1, int t2)
| Processes frames in input buffer. More...
int | processSpecial (string s)
| Processes special command. More...
int | stop ()
| Stops image processing. More...
Public Member Functions inherited from Processor
| Processor ()
| Starts internal clock. More...
Public Member Functions inherited from cXmlIO
| cXmlIO (int _xmlID=0, QObject *parent=nullptr)
virtual QString | sXmlKey ()
| Generates key of XML entry (as name of the serialised class is) More...
virtual void | findInXML (QString &fileName, bool compareXmlID=true)
| serches th file for XML key corr to class name and fill class properties according to entries found More...
virtual void | writeXml (QXmlStreamWriter &xml)
| Writes XML entries to file. Can be overloaded to save additional data, apart from object properties. More...
virtual void | readXml (QXmlStreamReader &xml)
| Called by findInXML. Reads XML entries. Has to be overloaded if additional data was written to file in object entry. More...
virtual void | writeCsvData (QXmlStreamWriter &stream, QString key, const QVector< QVector< double > > &s)
virtual void | writeCsvVector (QXmlStreamWriter &stream, QString key, const QVector< double > &s)
virtual void | readCsvData (QXmlStreamReader &stream, QVector< QVector< double > > &s)
virtual void | readCsvVector (QXmlStreamReader &stream, QVector< double > &s)
virtual void | write64BaseData (QXmlStreamWriter &stream, QString key, const QVector< QVector< double > > &s)
virtual void | read64BaseData (QXmlStreamReader &stream, QVector< QVector< double > > &s)
template<typename T >
void | writeData (QXmlStreamWriter &stream, QString key, const T &data)
template<typename T >
void | readData (QXmlStreamReader &stream, T &data)
int | getXmlID () const
void | setXmlID (int value)

## Properties
QString | path
| Path to camera parameters storage directory. More...
QString | filename
| Name format of camera parameters file. s is replaced with unique camera ID. More...
int | boardSize_X
| Number of chessboard internal columns (crossings) More...
int | boardSize_Y
| Number of chessboard internal rows (crossings) More...
double | squareSize
| Chessboard field size, in meters. More...
Properties inherited from cXmlIO
int | xmlID
| Defines uniqe identifier for object in XML file. More...

## Additional Inherited Members
Public Types inherited from Processor
Signals inherited from Processor
void | writeInfo (QString info)
| Data logger. More...
Static Public Member Functions inherited from cXmlIO
static void | metaCopy (QObject *dest, QObject *src)
Public Attributes inherited from Processor
InputType | inputType
| Processor input data type. More...
vector< cv::Mat * > | inputMat
| Vector of input images. More...
vector< vector< cv::Point2f > * > | inputPoint2
| Vector of input series of 2D points. More...
vector< vector< cv::Point3d > * > | inputPoint3
| Vector of input series of 3D points. More...
vector< QString * > | cameraName
| Vector of pointers to connected cameras names. More...
vector< cv::Mat * > | outputMat
| Vector of output images. More...
vector< vector< cv::Point2f > * > | outputPoint2
| Vector of output series of 2D points. More...
vector< vector< cv::Point3d > * > | outputPoint3
| Vector of input series of 3D points. More...
QTime | m_time
| Internal clock. More...
Protected Member Functions inherited from cXmlIO
void | metaDataXmlReader (QXmlStreamReader &stream, QObject &obj, bool isUser=true)
void | metaDataXmlWriter (QXmlStreamWriter &stream, const QObject &obj, bool isUser=true)

## Detailed Description

Camera calibration image processor.

Calculates internal camera and lens parameters based on a series of chessboard images.

## Constructor & Destructor Documentation

Processor_CameraCalibration | ( |  | ) |
| inline

Initializes default parameters.

## Member Function Documentation

int boardSize_X | ( |  | ) | const

Gets boardSize_X property value.

int boardSize_Y | ( |  | ) | const

Gets boardSize_Y property value.

QString filename | ( |  | ) | const

Gets filename property value.

QString path | ( |  | ) | const

Gets path property value.

int process | ( | int | t1,
|  | int | t2
| ) |  |
| virtual

Processes frames in input buffer.

Parameters

  t1 | Cameras trigger time
  t2 | Cameras acquisition finish time

Returns
  0 on success

Reimplemented from Processor.

int processSpecial | ( | string | s | ) |
| virtual

Processes special command.

Valid commands are:
acquire: adds current frame to list of calibration images
calibrate: calculates camera patameters using stored images

Parameters

  s | Command string

Returns
  0 on success

Reimplemented from Processor.

void SetboardSize_X | ( | int | _arg_boardSize_X | ) |

Sets boardSize_X property value.

void SetboardSize_Y | ( | int | _arg_boardSize_Y | ) |

Sets boardSize_Y property value.

void Setfilename | ( | QString | _arg_filename | ) |

Sets filename property value.

void Setpath | ( | QString | _arg_path | ) |

Sets path property value.

void SetsquareSize | ( | double | _arg_squareSize | ) |

Sets squareSize property value.

double squareSize | ( |  | ) | const

Gets squareSize property value.

int start | ( |  | ) |
| virtual

Starts image processing.

Returns
  0 on success

Reimplemented from Processor.

int stop | ( |  | ) |
| virtual

Stops image processing.

Returns
  0 on success

Reimplemented from Processor.

## Property Documentation

int boardSize_X
| read write

Number of chessboard internal columns (crossings)

int boardSize_Y
| read write

Number of chessboard internal rows (crossings)

QString filename
| read write

Name format of camera parameters file. s is replaced with unique camera ID.

QString path
| read write

Path to camera parameters storage directory.

double squareSize
| read write

Chessboard field size, in meters.

The documentation for this class was generated from the following file:

- processors/Processor_CameraCalibration.h